Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/i3status: New aport

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Sat, 6 Dec 2014 12:15:57 +0400

---
 testing/i3status/APKBUILD       | 46 +++++++++++++++++++++++++++++++++++++++++
 testing/i3status/musl-fix.patch | 13 ++++++++++++
 2 files changed, 59 insertions(+)
 create mode 100644 testing/i3status/APKBUILD
 create mode 100644 testing/i3status/musl-fix.patch
diff --git a/testing/i3status/APKBUILD b/testing/i3status/APKBUILD
new file mode 100644
index 0000000..7fef04f
--- /dev/null
+++ b/testing/i3status/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor: k0r10n <k0r10n.dev_at_gmail.com>
+# Maintainer:
+pkgname=i3status
+pkgver=2.8
+pkgrel=0
+pkgdesc="Generates status bar to use with i3bar, dzen2 or xmobar"
+url="http://i3.zekjur.net/i3status/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="wireless-tools-dev alsa-lib-dev confuse-dev yajl-dev"
+makedepends="$depends_dev asciidoc"
+install=""
+subpackages=""
+source="http://i3wm.org/i3status/${pkgname}-${pkgver}.tar.bz2
+	musl-fix.patch
+	"
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir/" install || return 1
+	install -Dm644 LICENSE \
+		"${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE || return 1
+}
+
+md5sums="68d944e9c1f48183356c9ea15b5b4e3b  i3status-2.8.tar.bz2
+75f4468573a132ae9fb255fb9a5531a7  musl-fix.patch"
+sha256sums="ab06c5dd454354e6fc64354082616115082b70dc3906361bce5a02beb0f807fe  i3status-2.8.tar.bz2
+e976f20fb165d2f96e7a49a95a2d5c803d882883dd4a87bfe20e62f85bf5fb4d  musl-fix.patch"
+sha512sums="b1e3dbc480660a96a662ccb996769203fae22448f8801cabb56c339ba63ac84d30018c897e2ecac23f513cfe9d9a7d9200a351a2e6b10a42c1929c28e8e22c02  i3status-2.8.tar.bz2
+340c44f68b2f74c2f66314f515f6843a6ac609a4d203ceb152b662aa8822ed405ccbbe459ea2eb1b42891cea84e3b63d1ff3bfe478d7fa2fc6c8b51f39f12a00  musl-fix.patch"
diff --git a/testing/i3status/musl-fix.patch b/testing/i3status/musl-fix.patch
new file mode 100644
index 0000000..b873fc9
--- /dev/null
+++ b/testing/i3status/musl-fix.patch
_at_@ -0,0 +1,13 @@
+--- a/include/i3status.h.orig
++++ b/include/i3status.h
+_at_@ -11,6 +11,10 @@
+ #include <unistd.h>
+ #include <string.h>
+ 
++#ifndef GLOB_TILDE
++#define GLOB_TILDE 0
++#endif
++
+ #define BEGINS_WITH(haystack, needle) (strncmp(haystack, needle, strlen(needle)) == 0)
+ #define max(a, b) ((a) > (b) ? (a) : (b))
+ 
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sat Dec 06 2014 - 12:15:57 GMT